Page MenuHomePhabricator

AMDGPU/SI: Add support for R_AMDGPU_ABS32
ClosedPublic

Authored by kzhuravl on Jun 23 2016, 9:10 AM.

Diff Detail

Repository
rL LLVM

Event Timeline

kzhuravl updated this revision to Diff 61685.Jun 23 2016, 9:10 AM
kzhuravl retitled this revision from to AMDGPU/SI: Add support for R_AMDGPU_ABS32.
kzhuravl updated this object.
kzhuravl added a subscriber: llvm-commits.
test/MC/AMDGPU/relocs-abs32.s
131–145 ↗(On Diff #61700)

These comment sections should be dropped.

kzhuravl updated this revision to Diff 63140.Jul 7 2016, 2:35 PM

Rebase and update test

kzhuravl updated this revision to Diff 63264.Jul 8 2016, 11:16 AM

Update test

test/MC/AMDGPU/elf64-dwarf-relocs.s
1–4 ↗(On Diff #63264)

This test case should be minimal like the one you add for lld.

kzhuravl updated this revision to Diff 64524.Jul 19 2016, 10:47 AM

Update test

kzhuravl updated this revision to Diff 64532.Jul 19 2016, 11:53 AM

Update test

tstellarAMD accepted this revision.Jul 21 2016, 7:42 AM
tstellarAMD edited edge metadata.

LGTM.

This revision is now accepted and ready to land.Jul 21 2016, 7:42 AM
This revision was automatically updated to reflect the committed changes.